Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Lists background tracks available to your organization.
cURL
curl --request GET \ --url https://api.beyondwords.io/v1/background_tracks \ --header 'X-Api-Key: <api-key>'
import requests url = "https://api.beyondwords.io/v1/background_tracks" headers = {"X-Api-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}}; fetch('https://api.beyondwords.io/v1/background_tracks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.beyondwords.io/v1/background_tracks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-Api-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beyondwords.io/v1/background_tracks" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Api-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.beyondwords.io/v1/background_tracks") .header("X-Api-Key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.beyondwords.io/v1/background_tracks") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Api-Key"] = '<api-key>' response = http.request(request) puts response.read_body
200
Sample list of background tracks
[ { "id": 1, "name": "Test track 1", "volume": 100, "created": "2023-01-01 00:00:00 UTC", "updated": "2023-01-01 00:00:05 UTC" }, { "id": 2, "name": "Test track 2", "volume": 100, "created": "2023-02-01 00:00:00 UTC", "updated": "2023-02-01 00:00:05 UTC" } ]
'limit' sets the number of results to return in each page.
'offset' sets the first position to return from the results of the query. The default is 0, which starts the page at the first result.
filter items by scopes
OK
Unique identifier for the object
The background track name
Percent volume of the track
Show child attributes
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)
Was this page helpful?